%define anolis_release 1
%global srcname natsort

Name:           python-%{srcname}
Version:        7.1.1
Release:        %{anolis_release}%{?dist}
Summary:        Python library that sorts lists using the "natural order" sort

License:        MIT
URL:            https://github.com/SethMMorton/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/n/%{srcname}/%{srcname}-%{version}.tar.gz

Suggests:       python3-pyicu

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  glibc-langpack-en
BuildRequires:  python3dist(hypothesis)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-mock)
BuildRequires:  python3dist(semver)
BuildRequires:  python3dist(setuptools)
%{?python_enable_dependency_generator}

%global _description \
Python module which provides "natural sorting".\
\
Under natural sorting, numeric sub-strings are compared numerically,\
and the other word characters are compared lexically.\
\
Example:\
unsorted:           ['a2', 'a9', 'a1', 'a4', 'a10']\
lexicographic sort: ['a1', 'a10', 'a2', 'a4', 'a9']\
natural sort:       ['a1', 'a2', 'a4', 'a9', 'a10']

%description %{_description}

%package -n python3-%{srcname}
Summary:	%{summary}
%{?python_provide:%python_provide python3-%{srcname}}
%description -n python3-%{srcname} %{_description}

%package -n python3-%{srcname}-doc
Summary:        %{summary}
Requires:       python3-%{srcname} = %{version}-%{release}

%description -n python3-%{srcname}-doc
doc files for python3-%{srcname}

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%check
%pytest

%files -n python3-%{srcname}
%license LICENSE
%{_bindir}/%{srcname}
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/%{srcname}/

%files -n python3-%{srcname}-doc
%doc README.rst

%changelog
* Sat Apr 15 2023 Funda Wang <fundawang@yeah.net> - 7.1.1-1
- Import package for anolis 23
